// import request from "@/utils/http.js"

import request from '@/utils/request'

//查询外业个人汇总列表
export function getHcCount(params) {
	return request({
		url: '/rsmonitoring/fieldwork/hc/count',
		method: 'get',
		params
	})
}


// 查询地块基本信息（DKJBXX）列表
export function listDkjbxx(params) {
	return request({
		url: '/rsmonitoring/fieldwork/list',
		method: 'get',
		params
	})
}
// 查询基本信息详情
export function getDetailsDk(id) {
  return request({
    url: '/rsmonitoring/dkgeomdb/details/' + id,
    method: 'get'
  })
}

// 查询地块基本信息（DKJBXX）详细
export function getDkjbxx(id) {
	return request({
		url: '/rsmonitoring/dkjbxx/' + id,
		method: 'get'
	})
}
export function getDkjbywy(id) {
	return request({
		url: '/rsmonitoring/dkjbxx/ywyp/' + id,
		method: 'get'
	})
}
export function getStep(params) {
	return request({
	  url: '/rsmonitoring/auditflow/record/list/step',
	  method: 'get',
	  params
	})
  }

// 操作
// 外业确认
export function confirm(data) {
	return request({
		url: '/rsmonitoring/fieldwork/confirm',
		method: 'post',
		data
	})
}

// 核查保存
export function hcWork(data) {
	return request({
		url: '/rsmonitoring/fieldwork/hc',
		method: 'post',
		data
	})
}

export function getHcInfo(params) {
	return request({
		url: '/rsmonitoring/fieldwork/hc/info',
		method: 'get',
		params
	})
}

export function getdecTree(params) {
  return request({
    url: '/rsmonitoring/dict_data/tree',
    method: 'get',
    params
  })
}
export function tjWork(data) {
	return request({
		url: '/rsmonitoring/fieldwork/tj',
		method: 'post',
		data
	})
}
export function getTjInfo(params) {
	return request({
		url: '/rsmonitoring/fieldwork/tj/info',
		method: 'get',
		params
	})
}

